Bug 197067 - After kernel recent kernel update sound interface stop work
After kernel recent kernel update sound interface stop work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 08:51 EDT by Volnei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 07:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file generated by system-config-soundcard (9.39 KB, application/octet-stream)
2006-06-28 08:51 EDT, Volnei
no flags Details
scsound.log-kernel-2.6.16-1.2133_FC5 (9.11 KB, application/octet-stream)
2006-06-28 09:10 EDT, Volnei
no flags Details
scsound.log diagnostics (13.55 KB, text/plain)
2006-07-02 12:39 EDT, paul.knowles
no flags Details
scsound.log diagnostics 2.6.17-1.2145_FC5 (18.16 KB, text/plain)
2006-07-08 03:30 EDT, Paolo Gatti
no flags Details

  None (edit)
Description Volnei 2006-06-28 08:51:56 EDT
Description of problem:
After update from kernel-2.6.16-1.2133_FC5 to kernel-2.6.17-1.2139_FC5
the sound interface stop work.

Version-Release number of selected component (if applicable):
FC5 x86_64

How reproducible:
Update to kernel kernel-2.6.17-1.2139_FC5

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Attached the scsound.log generated by system-config-soundcard
Comment 1 Volnei 2006-06-28 08:51:56 EDT
Created attachment 131663 [details]
Log file generated by system-config-soundcard
Comment 2 Volnei 2006-06-28 09:10:09 EDT
Created attachment 131665 [details]
scsound.log-kernel-2.6.16-1.2133_FC5
Comment 3 paul.knowles 2006-07-02 12:39:15 EDT
Created attachment 131855 [details]
scsound.log diagnostics
Comment 4 paul.knowles 2006-07-02 12:45:20 EDT
Comment on attachment 131855 [details]
scsound.log diagnostics 

hummm... bugzilla seems to have eaten the text of the message

result FC5, kernel 2.6.17-1.2139_FC5,
snd-maestro3 works


kernel 2.6.17-1.2139_FC5,
SMP and Normal, with snd-intel8x0

terrible confusion with module unload:

Jul  2 17:36:41 mercurey kernel: List corruption. next->prev should be
f7773c48, but was f70aa5fc
Jul  2 17:36:41 mercurey kernel: ------------[ cut here ]------------
Jul  2 17:36:41 mercurey kernel: kernel BUG at include/linux/list.h:58!
Jul  2 17:36:41 mercurey kernel: invalid opcode: 0000 [#1]
Jul  2 17:36:41 mercurey kernel: SMP 
Jul  2 17:36:41 mercurey kernel: last sysfs file:
/devices/pci0000:00/0000:00:1f.3/i2c-0/0-002e/fan4_input
Jul  2 17:36:41 mercurey kernel: Modules linked in: loop mga drm xt_state
xt_tcpudp iptable_nat ip_nat ip_conntrack nfnetlink iptable_filter ip_tables
x_tables sch_ingress cls_u32 sch_sfq sch_cbq autofs4 eeprom lm85 hwmon_vid
hwmon i2c_isa hidp l2cap bluetooth ipv6 dm_mirror dm_mod video button battery
ac lp parport_pc parport sg snd_intel8x0 snd_ac97_codec snd_ac97_bus
snd_seq_dummy e100 snd_seq_oss snd_seq_midi_event ehci_hcd snd_seq floppy
8139cp uhci_hcd 8139too mii snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm
i2c_i801 i2c_core snd_timer hw_random snd soundcore snd_page_alloc raid1 ext3
jbd ata_piix libata aic7xxx scsi_transport_spi sd_mod scsi_mod
Jul  2 17:36:41 mercurey kernel: CPU:	 0
Jul  2 17:36:41 mercurey kernel: EIP:	 0060:[<f89d456d>]    Not tainted VLI
Jul  2 17:36:41 mercurey kernel: EFLAGS: 00010092   (2.6.17-1.2139_FC5smp #1) 
Jul  2 17:36:41 mercurey kernel: EIP is at snd_seq_delete_all_ports+0x57/0x167
[snd_seq]
Jul  2 17:36:41 mercurey kernel: eax: 00000044	 ebx: f7773c48	 ecx: c06d48b0 
 edx: 00000096
Jul  2 17:36:41 mercurey kernel: esi: f7773c48	 edi: f70aa5fc	 ebp: f70aa580 
 esp: c306bf08
Jul  2 17:36:41 mercurey kernel: ds: 007b   es: 007b   ss: 0068
Jul  2 17:36:41 mercurey kernel: Process modprobe (pid: 23876,
threadinfo=c306b000 task=f70d9450)
Jul  2 17:36:41 mercurey kernel: Stack: f89d583b f7773c48 f70aa5fc f70aa614
f70aa604 00000282 22222222 22222222 
Jul  2 17:36:41 mercurey kernel:	f70aa580 00000020 00000000 c306b000
f89cf21e f70aa580 f89cf2e2 c043e996 
Jul  2 17:36:42 mercurey kernel:	c306b000 c04465e0 f70aa580 f89d178b
f8993e00 c043eba7 5f646e73 5f716573 
Jul  2 17:36:42 mercurey kernel: Call Trace:
Jul  2 17:36:42 mercurey kernel:  <f89cf21e> seq_free_client1+0x8/0x90
[snd_seq]  <f89cf2e2> seq_free_client+0x3c/0x78 [snd_seq]
Jul  2 17:36:42 mercurey kernel:  <c043e996> __try_stop_module+0x0/0x44 
<c04465e0> stop_machine_run+0x2e/0x34
Jul  2 17:36:42 mercurey kernel:  <f89d178b>
snd_seq_delete_kernel_client+0x1a/0x2c [snd_seq]  <c043eba7>
sys_delete_module+0x192/0x1bb
Jul  2 17:36:42 mercurey kernel:  <c045c044> do_munmap+0x196/0x1af  <c0403e3f>
syscall_call+0x7/0xb
Jul  2 17:36:42 mercurey kernel: Code: 24 14 39 7d 7c 74 67 8b 5d 7c 8b b5 80
00 00 00 8b 43 04 39 f0 74 1c 89 74 24 04 89 44 24 08 c7 04 24 3b 58 9d f8 e8
55 15 a5 c7 <0f> 0b 3a 00 26 58 9d f8 8b 06 39 d8 74 1c 89 5c 24 04 89 44 24 
Jul  2 17:36:42 mercurey kernel: EIP: [<f89d456d>]
snd_seq_delete_all_ports+0x57/0x167 [snd_seq] SS:ESP 0068:c306bf08
Jul  2 17:36:42 mercurey kernel:  <3>BUG: sleeping function called from invalid
context at include/linux/rwsem.h:43
Jul  2 17:36:42 mercurey kernel: in_atomic():0, irqs_disabled():1
Jul  2 17:36:42 mercurey kernel:  <c0430972>
blocking_notifier_call_chain+0x18/0x4b	<c0427d45> do_exit+0x19/0x795
Jul  2 17:36:42 mercurey kernel:  <c053b868> do_unblank_screen+0x2a/0x127 
<c04054cb> die+0x2a5/0x2ca
Jul  2 17:36:42 mercurey kernel:  <c0405b58> do_invalid_op+0x0/0xab  <c0405bfa>
do_invalid_op+0xa2/0xab
Jul  2 17:36:42 mercurey kernel:  <f89d456d>
snd_seq_delete_all_ports+0x57/0x167 [snd_seq]  <c041e4b4>
find_busiest_group+0xfc/0x29c
Jul  2 17:36:42 mercurey kernel:  <c0617128> _spin_unlock_irq+0x5/0x7 
<c0439aef> debug_mutex_add_waiter+0x97/0xa9
Jul  2 17:36:42 mercurey kernel:  <f89d4531>
snd_seq_delete_all_ports+0x1b/0x167 [snd_seq]  <c04049d7> error_code+0x4f/0x54
Jul  2 17:36:42 mercurey kernel:  <f89d456d>
snd_seq_delete_all_ports+0x57/0x167 [snd_seq]  <f89cf21e>
seq_free_client1+0x8/0x90 [snd_seq]
Jul  2 17:36:42 mercurey kernel:  <f89cf2e2> seq_free_client+0x3c/0x78
[snd_seq]  <c043e996> __try_stop_module+0x0/0x44
Jul  2 17:36:42 mercurey kernel:  <c04465e0> stop_machine_run+0x2e/0x34 
<f89d178b> snd_seq_delete_kernel_client+0x1a/0x2c [snd_seq]
Jul  2 17:36:42 mercurey kernel:  <c043eba7> sys_delete_module+0x192/0x1bb 
<c045c044> do_munmap+0x196/0x1af
Jul  2 17:36:42 mercurey kernel:  <c0403e3f> syscall_call+0x7/0xb 
Jul  2 17:36:42 mercurey kernel: BUG: modprobe/23876, lock held at task exit
time!
Jul  2 17:36:42 mercurey kernel:  [f89dbfa0] {register_mutex}
Jul  2 17:36:42 mercurey kernel: .. held by:	      modprobe:23876 [f70d9450,
118]


bugzilla is really not convenient for editing bug reports...
Comment 5 Volnei 2006-07-06 08:49:13 EDT
Feedback;

I update to kernel-2.6.17-1.2145_FC5 and the problem reported was resolved.

Thank you.
Comment 6 Paolo Gatti 2006-07-08 03:30:24 EDT
Created attachment 132098 [details]
scsound.log diagnostics 2.6.17-1.2145_FC5

I had the same problem after upgrading to kernel-2.6.17-1.2139_FC5, but
upgrading to 2.6.17-1.2145_FC5 did not solve the issue.

I enclose my scsound.log diagnostics.
Comment 7 Martin Stransky 2006-08-12 18:50:42 EDT
(In reply to comment #6)
> Created an attachment (id=132098) [edit]
> scsound.log diagnostics 2.6.17-1.2145_FC5
> 
> I had the same problem after upgrading to kernel-2.6.17-1.2139_FC5, but
> upgrading to 2.6.17-1.2145_FC5 did not solve the issue.
> 
> I enclose my scsound.log diagnostics.

Please check the latest drivers (http://people.redhat.com/stransky/alsa/) but
I'm affraid you have to report your problem to alsa project (www.alsa-project.org)

Note You need to log in before you can comment on or make changes to this bug.